Subject: 2001:db8::/32 listing in IANA IPv6 Special Purpose Address Registry + interlinking of the various registries

From: Jeroen Massar <[email-masked]>
Date: Fri, 29 Oct 2010 13:25:48 +0200

Hi,

Should 2001:db8::/32 not be listed in:

http://www.iana.org/assignments/iana-ipv6-special-registry/iana-ipv6-special-registry.xhtml

as it seems to fit the condition of:

"Address prefixes listed in the Special Purpose Address Registry are not
guaranteed routability in any particular local or global context."

It isn't listed either at:
http://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xhtml

nor at:
http://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xhtml

Next to that, it would be nice IMHO if those three where at least
interlinked with a HTML link for at least the xhtml versions.

Greets,
 Jeroen

---

From: "Brandon Daly" <[email-masked]>
Date: Fri, 29 Oct 2010 13:59:42 +0100

Hi Jeroen,

If I understand correctly the iana-ipv6 special registry is for recording the use of 2001:000::/23 (RFC4773).  The documentation prefix falls outside this range.  But it is covered by the statement ' Other special IPv6 addresses requiring specific considerations for global routing are listed in [RFC5156].' RFC5156 covers the documentation prefix.

It is mentioned in the footnotes of  http://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xml;
'[2] 2001:0DB8::/32 has been assigned as a NON-ROUTABLE range to be used for documentation purpose [RFC3849].'

This is consistent with how the IPv4 documentation prefixes are recorded in ://www.iana.org/assignments/ipv4-address-space/ipv4-address-space.xml

I suspect it is not covered individually as it is a sub allocation from an APNIC allocation.

Similarly with http://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xhtml, it is a sub allocation from the Global Unicast block. 

Bran.

--  
Brandon Daly 
Network Engineer, Zen Internet 
T: 0845 058 9030 
F: 0845 058 9005 
W: http://www.zen.co.uk 
 
Zen Internet PC Pro Best ISP award winner - seven years in a row! 
  
Thank you to all of our customers for your continued support, especially to those who took the time to vote for us. 
  
Follow us on Twitter: http://twitter.com/zeninternet 

Please consider your environmental responsibility before printing this email. 

 

 

  
This message is private and confidential. If you have received this message in error please notify us and remove it from your system. 
  
Zen Internet Limited may monitor email traffic data and also the content of email for the purposes of security, quality and training. 
  
Zen Internet Limited is registered in England and Wales 
Sandbrook Park, Sandbrook Way, Rochdale OL11 1RY 
Company No. 03101568 
VAT Reg No. 686 0495 01 

 

 

-----Original Message-----

From: [email-masked] [mailto:[email-masked]] On Behalf Of Jeroen Massar
Sent: 29 October 2010 12:26
To: [email-masked]
Subject: 2001:db8::/32 listing in IANA IPv6 Special Purpose Address Registry + interlinking of the various registries

Hi,

nor at:

Greets,
 Jeroen
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 30 Oct 2010 08:40:08 +1300

Hi Jeroen,

You've missed the footnote on 2001:0C00::/23

[2] 2001:0DB8::/32 has been assigned as a NON-ROUTABLE
    range to be used for documentation purpose [RFC3849].

Regards
   Brian Carpenter